from .base import *

# Password validation
# https://docs.djangoproject.com/en/1.11/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]

DEBUG = False

ALLOWED_HOSTS = ["musique-meyenheim.fr"]

SECRET_KEY = os.environ['SECRET_KEY']

VAR_DIR = os.environ['STATE_DIRECTORY']

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(VAR_DIR, 'db.sqlite3'),
    }
}

NGINX_DIR = os.environ['NGINX_DIRECTORY']

MEDIA_ROOT = os.path.join(NGINX_DIR, 'media')

STATIC_ROOT = os.path.join(NGINX_DIR, 'staticfiles')
